> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/disk/releasedisk.md).

# ReleaseDisk

## 1. API Description

This API (ReleaseDisk) is used to release a disk.

{% hint style="info" %}
**Notes**

* A system disk cannot be released. It is released together with the deletion of the instance.
* For a regular account, a disk is released directly after the deletion. Calling this interface on a disk in the recycle bin releases it completely.
* This operation is irreversible, so please proceed with caution.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                    |
| -------------- | -------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| diskId         | Yes      | String | <p>ID of the disk to be deleted.</p><p>It can be obtained by calling <a href="/api-reference/zec/disk/describedisks.md">DescribeDisks</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Release a disk.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ReleaseDisk
<Common Request Params>

Request:
{
  "diskId": "your-disk-id"
}

Response:
{
  "requestId": "T52617F2F-33A3-42EF-B353-CC44271C89E4",
  "response": {
    "requestId": "T52617F2F-33A3-42EF-B353-CC44271C89E4"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                           | Description                                                   |
| ---------------- | ------------------------------------ | ------------------------------------------------------------- |
| 404              | INVALID\_DISK\_NOT\_FOUND            | Disk does not exist.                                          |
| 400              | INVALID\_DISK\_NOT\_PORTABLE         | Disk is not detachable.                                       |
| 400              | UNSUPPORTED\_OPERATION\_DISK\_STATUS | Operations on the disk with current status are not supported. |
